Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.reconciler
Class DirtyRegion

    java.lang.Object
      org.eclipse.jface.text.reconciler.DirtyRegion

All Implemented Interfaces:
  IRegion, ITypedRegion

public class DirtyRegion
extends Object
implements ITypedRegion

A dirty region describes a document range which has been changed.

Field Summary
`static String` | `INSERT` Identifies an insert operation.
`static String` | `REMOVE` Identifies a remove operation.

Constructor Summary
`DirtyRegion(int offset, int length, String type, String text)` Creates a new dirty region.

Method Summary
`int` | `getLength()` Returns the length of the region.
`int` | `getOffset()` Returns the offset of the region.
`String` | `getText()` Returns the text that changed as part of the region change.
`String` | `getType()` Returns the content type of the region.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSERT

    public static final String INSERT

  Identifies an insert operation.

  See Also:
    Constant Field Values

### REMOVE

    public static final String REMOVE

  Identifies a remove operation.

  See Also:
    Constant Field Values

Constructor Detail

### DirtyRegion

    public DirtyRegion(int offset,
                       int length,
                       String type,
                       String text)

  Creates a new dirty region.

Parameters:
  `offset` - the offset within the document where the change occurred
  `length` - the length of the text within the document that changed
  `type` - the type of change that this region represents: `INSERT` `REMOVE`
  `text` - the substitution text

Method Detail

### getOffset

    public int getOffset()

  Description copied from interface: `IRegion`
  Returns the offset of the region.

  Specified by:
    `getOffset` in interface `IRegion`
  Returns:
    the offset of the region

### getLength

    public int getLength()

  Description copied from interface: `IRegion`
  Returns the length of the region.

  Specified by:
    `getLength` in interface `IRegion`
  Returns:
    the length of the region

### getType

    public String getType()

  Description copied from interface: `ITypedRegion`
  Returns the content type of the region.

  Specified by:
    `getType` in interface `ITypedRegion`
  Returns:
    the content type of the region

### getText

    public String getText()

  Returns the text that changed as part of the region change.

  Returns:
    the changed text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.